include \masm32\include\masm32rt.inc

DlgProc			PROTO	:HWND,:UINT,:WPARAM,:LPARAM

.const
IDD_DIALOG1			equ 101
IDC_MVI1			equ 1001
IDC_BTN1			equ 1002

.data
days 			dd 01010b, 01111b, 010b, 010b  ; whatever - 4 dwords with 32 bits each

.data?
hInstance			dd ?
hIDC_MVI1			HWND ?


.code

start:	invoke GetModuleHandle,NULL
	mov hInstance, eax
	invoke InitCommonControls
	invoke DialogBoxParam, hInstance, IDD_DIALOG1, NULL, addr DlgProc, NULL
	invoke ExitProcess, 0

DlgProc proc hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
	mov eax, uMsg
	.if eax==WM_INITDIALOG
		invoke GetDlgItem, hWin, IDC_MVI1
		mov hIDC_MVI1, eax
		invoke SendMessage, hIDC_MVI1, MCM_SETMONTHDELTA, 1, 0	; Set number of months calendar scrolls
	.elseif eax==WM_COMMAND
		mov eax, wParam
		.if eax==1002
			; the culprit: no effect...
			invoke SendMessage, hIDC_MVI1, MCM_SETDAYSTATE, 1, addr days
		.endif
	.elseif eax==WM_CLOSE
		invoke EndDialog, hWin, 0
	.else
		mov eax, FALSE
		ret
	.endif
	mov eax, TRUE
	ret
DlgProc endp
end start

RichMasm options:
OPT_DebugL	/MERGE:.data=.rdata /MERGE:.rdata=.text	; linker options for ultra short executables
OPT_WAIT	0	; wait until a key is pressed before closing the DOS box
OPT_Tmp2Asm	1
